%define        project_name fltk
%define        snapshot     6525

Name:          fltk2
Version:       2.0.x
Release:       0.2.r%{snapshot}%{?dist}
Summary:       C++ user interface toolkit

Group:         System Environment/Libraries
# see COPYING (or http://www.fltk.org/COPYING.php) for exceptions details
License:       LGPLv2 with exceptions
URL:           http://www.fltk.org
Source0:       http://ftp.easysw.com/pub/fltk/snapshots/%{project_name}-%{version}-r%{snapshot}.tar.bz2
Source1:       fluid2.desktop
# fix path to fltk2-config and make it executable
Patch0:        fltk-2.0.x-r6525-fluid-fltk2-config.patch
# removes -rpath from linking
Patch1:        fltk-2.0.x-r6525-rpath.patch
# fix `make install' in documentation/
Patch2:        fltk-2.0.x-r6525-install-doc.patch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libpng-devel, libjpeg-devel, zlib-devel, desktop-file-utils
BuildRequires: xorg-x11-proto-devel, autoconf, libGL-devel, libGLU-devel
BuildRequires: libXi-devel, libXinerama-devel, libXext-devel, freetype-devel
BuildRequires: libXft-devel, doxygen


%description
FLTK is a cross-platform C++ GUI toolkit for UNIX®/Linux® (X11), Microsoft® 
Windows®, and MacOS® X. FLTK provides modern GUI functionality without the 
bloat and supports 3D graphics via OpenGL® and its built-in GLUT emulation.

FLTK is designed to be small and modular enough to be statically linked, 
but works fine as a shared library. 


%package       devel
Summary:       Development files for FLTK2
Group:         System Environment/Libraries
Requires:      %{name} = %{version}-%{release}
%description   devel
Development files for FLTK2.


%package       fluid
Summary:       Fast Light User Interface Designer
Group:         Development/Tools
Requires:      %{name} = %{version}-%{release}
%description   fluid
%{summary}, an interactive GUI designer for %{name}.


%package       doc
Summary:       Doxygen documentation for FLTK2
Group:         Documentation
Requires:      %{name} = %{version}-%{release}
BuildRequires: doxygen
%description   doc
%{summary}


%prep
%setup -q -n %{project_name}-%{version}-r%{snapshot}
%patch0
%patch1
%patch2


%build
%configure --enable-shared

make %{?_smp_mflags}

# generate documentation via Doxygen
pushd documentation/
make #2>/dev/null
popd


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR="$RPM_BUILD_ROOT" INSTALL="install -p"

desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}

rm $RPM_BUILD_ROOT%{_libdir}/*.a


%post   -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGES COPYING CREDITS README TODO
%{_libdir}/lib%{name}.so.2.0
%{_libdir}/lib%{name}_gl.so.2.0
%{_libdir}/lib%{name}_glut.so.2.0
%{_libdir}/lib%{name}_images.so.2.0
%{_mandir}/man3/%{name}.*


%files devel
%defattr(-,root,root,-)
%doc README_fltk1_to_fltk2.txt README.kdevelop README.mingw32_cross README.unix
%{_bindir}/%{name}-config
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}_gl.so
%{_libdir}/lib%{name}_glut.so
%{_libdir}/lib%{name}_images.so
%dir %{_includedir}/%{project_name}
%{_includedir}/%{project_name}/*.h
%dir %{_includedir}/%{project_name}/compat
%dir %{_includedir}/%{project_name}/compat/FL
%{_includedir}/%{project_name}/compat/FL/*.h
%{_includedir}/%{project_name}/compat/FL/*.H
%{_includedir}/%{project_name}/mac.r
%{_mandir}/man1/%{name}-config.*


%files fluid
%defattr(-,root,root,-)
%{_bindir}/fluid2
%{_datadir}/applications/fluid2.desktop
%{_mandir}/man1/fluid2.*


%files doc
%defattr(-,root,root,-)
%doc documentation/html documentation/*.html documentation/*.gif documentation/README


%changelog
* Wed Jan 14 2009 Michal Nowak <mnowak@redhat.com> - 2.0.x-0.2.r6525
- use $RPM_BUILD_ROOT instead of %%{buildroot}
- added library header files directories to %%files section
- fixed bad field in -doc sub-package to contain BR field

* Mon Dec 22 2008 Michal Nowak <mnowak@redhat.com> - 2.0.x-0.1.r6525
- 2.0.x-r6525 (snapshot)

